Diagnostikverktyget för DirectX

Diagnostikverktyget för ActiveX

Dokumentationen om Microsofts diagnostikverktyg för DirectX® innehåller följande avsnitt:

  • Om diagnostikverktyget för DirectX
  • Vad du bör titta efter
  • Testa DirectX-komponenter
  • Åsidosätta standardvärden
  • Återställa drivrutiner
  • Spara information
  • Rapportera problem


Om diagnostikverktyget för DirectX

Med diagnostikverktyget för DirectX® får du information om Microsoft® DirectX API-komponenter (Application Programming Interface) och drivrutiner i datorns system, och du kan testa ljud och grafik och tjänster från DirectPlay®-leverantörer. Du kan också inaktivera vissa funktioner för maskinvaruacceleration.

Du kan använda verktyget för att samla den information som supporttekniker kan behöva när du anlitar kundsupport eller spara informationen som verktyget samlat ihop och klistra in den i ett e-postmeddelande.

Information presenteras på ett antal sidor. Du kan flytta mellan sidorna med någon av följande metoder:

  • Klicka på flikarna.
  • Klicka på knappen Nästa sida.
  • Tryck på vänster- eller högerpilen när inmatningsfokus är på en flik.

Obs!  Viss information, till exempel mängden minne på ett bildskärmskort, kan vara ungefärlig.


Vad du bör titta efter

Om det skulle uppstå problem när du kör DirectX-program, kan diagnostikverktyget för DirectX hjälpa dig att hitta källan till problemet. Här följer några saker som kan vara bra att titta efter:

  • Felaktiga versioner av DirectX-komponenter. Titta efter varningar om beta- och felsökningsfiler under Obs! på sidan DirectX-filer. Beta-filer är tidiga testversioner och de bör inte installeras med kommersiell programvara. Felsökningsversioner, som används i bl a programutveckling och inte bör installeras med slutprodukten, kan vara orsaken till att program körs betydligt långsammare än med återförsäljarversioner av komponenterna.
  • Ocertifierade drivrutiner. Titta efter filer som markerats som ocertifierade i fillistan på sidan med DirectX-drivrutiner. Ytterligare problem kan visas under Obs! på sidorna Bildskärm, Ljud och Indata. Ocertifierade drivrutiner är drivrutiner som inte har inte testats av Microsoft att de har fullkomlig kompabilitet med den senaste versionen av DirectX.
  • Ingen maskinvaruacceleration. Vissa program körs väldigt långsamt eller inte alls om inte maskinvaruacceleration för DirectDraw® eller Direct3D® är tillgänglig. Under DirectX-funktioner på sidan Bildskärm kan du se om DirectDraw eller Direct3D har markerats med "Ingen acceleration är tillgänglig". Om så är fallet kan det hända att du behöver uppgradera maskinvaran.
  • Enheten inte ansluten. Om en styrspak eller annan indataenhet inte svarar kan det hända att den inte installerats ordentligt. Se till att enheten finns listad på sidan Indata i diagnostikverktyget för DirectX. Om inte – lägg till enheten med hjälp av Kontrollpanelen.


Testa DirectX-komponenter

Du kan testa DirectDraw och Direct3D på de bildskärmar som är anslutna i systemet, DirectSound® på anslutna enheter för Wave-utdata och DirectMusic™® på alla anslutna musikportar.

Klicka på Test-knappen och läs eventuella meddelanden som visas och titta på eller lyssna på testerna. Kör varje test tills du ser en ruta där du ska svara på om testet lyckades. Om du svarar Nej körs inga fler test.

När det gäller DirectMusic finns det endast ett test. Du klickar helt enkelt på OK när du är anser att musiken spelas upp korrekt eller ej.

Du kan också testa DirectPlay-funktionalitet hos de tjänsteleverantörer som finns tillgängliga.

BORDER=0 Så här testar du DirectPlay

  1. Klicka på Testa DirectPlay på sidan Nätverk. Skriv användarnamn och välj en tjänsteleverantör i dialogrutan Test av DirectPlay. Markera Skapa ny session och klicka på OK. Om du har valt en modemanslutning klickar du på Svara i dialogrutan Modemanslutning så att modemet ställs i autosvarläge.
  2. Kör diagnostikverktyget för DirectX på en annan dator som kan etablera kontakt med den första datorn, med hjälp av den anslutning som valts. Klicka på Testa DirectPlay, skriv ett annat användarnamn, välj samma tjänsteleverantör, markera knappen Anslut till befintlig session och klicka på OK. Det kan hända att du måste ange mer information för vissa typer av anslutningar, till exempel telefonnummer. När det gäller en TCP/IP-anslutning i ett lokalt nätverk kan du låta textrutan vara tom.
  3. Nu visas en lista över sessioner på den andra datorn, som innehåller namnet på den session som du skapade på den första datorn. Markera namnet på den sessionen och klicka på OK.
  4. Nu ska båda datorerna visa en chat-dialogruta. Skriv ett meddelande i inmatningsrutan på den ena datorn och klicka på Skicka. Meddelandet bör visas i det rullningsbara området i båda datorernas chat-dialogrutor.


Ändra standardinställning

Åsidosätta standardvärden

Du kan ändra maskinvaruacceleration genom att flytta ett skjutreglage på sidan Ljud. Inställningen förblir aktiv när du har stängt diagnostikverktyget för DirectX.

Obs!   Denna funktion är inte tillgänglig i Windows® 95.

Du kan inaktivera maskinvaruaccelerationen för DirectDraw eller Direct3D (om en sådan acceleration är tillgänglig) på sidan Bildskärm för de grafikkort som är installerade på datorn genom att klicka på knappen Inaktivera. När du har inaktiverat accelerationen är den inaktiverad också efter att du stängt diagnostikverktyget för DirectX och accelerationsfunktionen kommer inte att vara tillgänglig i något program. Om du vill aktivera funktionen igen klickar du på knappen Aktivera.

Obs!  När du inaktiverar accelerationen i DirectDraw inaktiveras den också i Direct3D.

Du kan också ändra skärmens uppdateringsfrekvens som ställts in av program i helskärmsläge i DirectDraw. Detta bör du endast göra om du har problem med något program och om det verkar rimligt att tro att en ogiltig uppdateringsfrekvens ställts in av programmet.

Så här ändrar du uppdateringsfrekvens

  1. Klicka på knappen Åsidosätt på sidan Mer hjälp.
  2. Välj redigeringsrutan i dialogrutan Åsidosätt uppdateringsförfarande för DirectDraw och skriv in en giltig uppdateringsfrekvens för skärmen. Alternativknappen Eget värde markeras automatiskt när detta görs.
  3. Klicka på OK.

Så här ångrar du ändringen av uppdateringsfrekvensen och låter programmen i DirectDraw själv ställa in uppdateringsfrekvens

  1. Klicka på knappen Åsidosätt på sidan Mer hjälp.
  2. Markera alternativknappen Standard i dialogrutan Åsidosätt uppdateringsförfarande för DirectDraw.
  3. Klicka på OK.


Återställa drivrutiner

I vissa konfigurationer kan du med diagnostikverktyget för DirectX återställa äldre ljud- och videodrivrutiner. Detta kan vara det bästa sättet att lösa problem med inkompatibla drivrutiner.

Om en Återställ-knapp visas på sidan Mer hjälp klicka på den så körs DirectX installationsprogram.

I DirectX installationsprogram finns det två knappar som heter Återställ ljuddrivrutiner och Återställ bildskärmsdrivrutiner. Om du klickar på någon av dessa knappar kommer de drivrutiner som ersattes när DirectX installerades på datorn att återställas. Om en knapp är inaktiv betyder det att du inte har några gamla drivrutiner att återställa. I det här fallet kan du kontakta tillverkaren av maskinvaran om du vill ha de senaste drivrutinerna.

DirectX installationsprogram innehåller också en kryssruta som du kan markera om du vill inaktivera maskinvaruaccelerationen i Direct3D, vilket du också kan göra inifrån DxDiag. (Se Åsidosätta standardvärden.)


Spara information

Det finns två sätt att spara information som hämtats med diagnistikverktyget för DirectX:

  • Klicka på knappen Spara all information. All information som finns på sidorna sparas i en fil med ett namn och på en plats som du väljer.

Eller, om du är programutvecklare och har utvecklarversionen av detta verktyg:

  • Klicka på Rapport på sidan Mer hjälp. Dialogrutan Buggrapportsinformation visas. När du har skrivit in alla uppgifter som behövs klickar du på Skicka. En textfil med namnet Dxdiag.txt skapas i en tillfällig katalog (till exempel C:\Windows\Temp) och öppnas i Anteckningar. Denna fil innehåller samma information som den som hämtats med den tidigare metoden samt eventuella egna eller andra uppgifter som du har lagt till.


Rapportera problem

Om det skulle uppstå problem som du tror beror på en komponent eller drivrutin i DirectX kan du kontakta Microsoft Product Support Services (se Microsoft® Windows® Hjälp under Felsökning i Microsoft® Windows®). Om du är en programutvecklare och har programversionen för utvecklare kan du rapportera problemet via e-post.

Obs!  Detta alternativ är inte tillgängligt för alla användare utan gäller bara för programversionen för utvecklare.

Så här rapporterar du problem via e-post

  1. Klicka på Rapportera på sidan Mer hjälp.
  2. Fyll i relevanta avsnitt i dialogrutan Buggrapportsinformation och klicka sedan på Skicka.
  3. Ett meddelande visas som anger den fullständiga sökvägen som skapats för textfilen och e-postadressen. Notera e-postadressen. Klicka på OK så visas ett fönster i Anteckningar med innehållet i filen Dxdiag.txt.
  4. Välj alternativet Markera allt i Redigera-menyn i Anteckningar och sedan Kopiera så placeras hela filinnehållet i Urklipp.
  5. Öppna ett nytt meddelande i ditt e-postprogram och klistra in innehållet i Urklipp i meddelanderutan. Skicka meddelandet till adressen som du noterade under steg 3.


Det gick inte att hitta avsnittet

Det gick inte att hitta ett matchande hjälpavsnitt. Här följer några tänkbara orsaker och åtgärder:

  • Chm-filen som innehåller det sökta hjälpavsnittet finns inte på den förväntade platsen.

    Åtgärd: Kör installationen av MSDN-biblioteket igen.

  • Chm-filen som innehåller det aktuella hjälpavsnittet eller det sökta avsnittet är för gammal och länken är inte längre giltig.

    Åtgärd: Installera den senaste versionen av MSDN-biblioteket.

  • CD-skivan med MSDN-biblioteket ligger inte i CD-ROM-enheten.

    Åtgärd: Infoga CD-skivan med MSDN-biblioteket i CD-ROM-enheten.

Built on Thursday, July 29, 1999